#
# spec file for package colout
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define releasedate 2016-08-18
Name:           colout
Version:        0.5
Release:        1.2
Summary:        Color up arbitrary command output
License:        GPL-3.0
Group:          Productivity/File utilities
URL:            http://nojhan.github.io/colout/
Source0:        https://github.com/nojhan/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        colout.pod
# PATCH-FIX-OPENSUSE colout-use-unspecified-python.patch malcolmlewis@opensuse.org -- Don't use python3 to support older distributions.
Patch0:         colout-use-unspecified-python.patch
BuildRequires:  python
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
colout is a simple command to add colors to a text stream in your terminal.

The colout command line interface has been carefully designed to be simple.
Basically, you will call it like:
<text stream> | colout <pattern to color> [color [style]]

colout has the ability to use 8 colors mode, 256 colors mode, colormaps, themes
and source code syntax coloring. Patterns are regular expressions.

You can think of colout as an alternative to grep --color which will preserve
the surrounding context, whith more powerful coloring capabilites.

%prep
%setup -q
%patch0 -p1

%build
python setup.py build
perldoc -o nroff -w center:" " -w date:%{releasedate} -w release:" " -w section:1 %{SOURCE1} > ./colout.1

%install
python setup.py install --skip-build --root=%{buildroot} --prefix=%{_prefix}
install -Dm 0644 colout.1 %{buildroot}%{_mandir}/man1/colout.1

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{python_sitelib}/%{name}*
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Wed Oct 18 2017 aavindraa@gmail.com
- update to v0.5
- Lint spec file
* Thu Jul 21 2016 malcolmlewis@opensuse.org
- Spec file clean up.
- Rename unspecific-python.diff to
  colout-use-unspecified-python.patch and rebase.
* Mon Sep 15 2014 daxim@cpan.org
- update to v0.4
* Sun Jun 30 2013 huaren.zhong@gmail.com
- Rebuild for Fedora
